[Lunar-commits] r23364 - in moonbase/trunk/graphics/sane-backends: . init.d
Jannis Pohlmann
jannis at lunar-linux.org
Tue Feb 20 14:00:05 CET 2007
Author: jannis
Date: 2007-02-20 14:00:05 +0100 (Tue, 20 Feb 2007)
New Revision: 23364
Added:
moonbase/trunk/graphics/sane-backends/init.d/
moonbase/trunk/graphics/sane-backends/init.d/sane
Log:
Add init script for sane which creates /var/lock/sane with properly set permissions.
Added: moonbase/trunk/graphics/sane-backends/init.d/sane
===================================================================
--- moonbase/trunk/graphics/sane-backends/init.d/sane (rev 0)
+++ moonbase/trunk/graphics/sane-backends/init.d/sane 2007-02-20 13:00:05 UTC (rev 23364)
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# Startup script for sane
+#
+# chkconfig: 345 50 50
+# description: This is a daemon which broadcasts notifications of system events \
+# and other messages. See http://www.freedesktop.org/software/dbus/
+# processname: dbus-daemon
+# pidfile: /var/run/messagebus.pid
+# sigreload: HUP
+
+SANE_LOCKDIR="/var/lock/sane"
+
+start () {
+ echo -n "Starting $SHORT: "
+ mkdir -m 775 -p $SANE_LOCKDIR && chgrp usb $SANE_LOCKDIR
+ if [ $? == 0 ]; then
+ echo -e $RESULT_OK
+ else
+ echo -e $RESULT_FAIL
+ fi
+}
+
+. /lib/lsb/init-functions $1
Property changes on: moonbase/trunk/graphics/sane-backends/init.d/sane
___________________________________________________________________
Name: svn:executable
+ *
More information about the Lunar-commits
mailing list